Description

well-formed rdf-xml resource maps can still be unreadable by DataONE tools, which requires certain relationships to be present to be

useful for DataONE.  see Data Packaging architecture document  (

http://mule1.dataone.org/ArchitectureDocs-current/design/DataPackage.html#generating-resource-maps)

Therefore, resource maps should be validated against the DataONE requirements to prevent "silent" errors from making content

undiscoverable.

At a minimum, validation methods should be built in d1_libclient_java, so that validation can be done prior to submission, on the MN

(during MN.create/MN.update, or on the CN (during sync).  

Additionally, facilities for interrogating the resource map to pull out relationships should be developed, using RDFS Reasoners to

recover from missing inverse relationships, and existing services using resource maps (the indexer) should make use of them.

Development of validation services should be considered to help clients validate prior to submission.

Subtasks:

Task # 3721: add resource map validation routine to libclient_java In Progress

History

#1 - 2013-04-19 21:02 - Rob Nahf

Chris, I assigned to you for review based on our discussion this afternoon.  I'm still unsure as to whether or not the CN should be validating since it

probably wouldn't break anything if the resource map doesn't validate.  I'll put some of the performance details in the sub tasks.

#2 - 2014-10-01 21:40 - Dave Vieglais

- Due date set to 2014-10-01

- Target version set to Release Backlog

- Start date set to 2014-10-01

#3 - 2018-01-17 20:14 - Dave Vieglais

- Assignee changed from Chris Jones to Dave Vieglais

#4 - 2018-01-17 20:17 - Dave Vieglais

- Sprint set to Infrastructure backlog
